'Reset Broken Undo (correct for V10.397 bug)
'ResetBrokenUndo.csc
'
'Copyright 2002 by Abe Hendin <ventura@yourspeed.com>.
'Public Domain.
'Initial release, November 3, 2002.

'This is a super-simple script designed to work around a bug in
'Ventura 10.397 whereby saving after importing text disables
'subsequent undos to text editing. The script merely saves the
'pub, then closes and reopens it and returns you to the page
'you were on when you started (assuming you were in Page Layout
'view).

WITHOBJECT "CorelVentura.Automation.10"
	Dim CurrPubPathname As String, CurrPN As Long
	
	.FileSave
	CurrPubPathname = .PublicationName()
	.ViewPageLayout
	CurrPN = .CurrentPageNumber(, 2)
	Message "Paused to avoid a CARM. Click OK to continue."
	.FileClose
	.FileOpen CurrPubPathname
	.ViewGotoPage CurrPN, .GoWhere = 4
END WITHOBJECT
